# char_traits.h File Reference

`#include <cstring>`
`#include <bits/stl_algobase.h>`
`#include <bits/postypes.h>`

Include dependency graph for char_traits.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | __gnu_cxx
namespace | std

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file char_traits.h.